Package org.kapott.hbci.sepa.jaxb.camt_052_001_07

# Class BankToCustomerAccountReportV07

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_07.BankToCustomerAccountReportV07

public class BankToCustomerAccountReportV07 extends Object

Java class for BankToCustomerAccountReportV07 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BankToCustomerAccountReportV07">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="GrpHdr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}GroupHeader73"/>
             <element name="Rpt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}AccountReport22" maxOccurs="unbounded"/>
             <element name="SplmtryData" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.07}SupplementaryData1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected GroupHeader73`
`grpHdr`
`protected List<AccountReport22>`
`rpt`
`protected List<SupplementaryData1>`
`splmtryData`

## Constructor Summary

Constructors
Constructor
Description
`BankToCustomerAccountReportV07()`

## Method Summary

Modifier and Type
Method
Description
`GroupHeader73`
`getGrpHdr()`
Gets the value of the grpHdr property.
`List<AccountReport22>`
`getRpt()`
Gets the value of the rpt property.
`List<SupplementaryData1>`
`getSplmtryData()`
Gets the value of the splmtryData property.
`void`
`setGrpHdr(GroupHeader73 value)`
Sets the value of the grpHdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### grpHdr

protected GroupHeader73 grpHdr

### rpt

protected List<AccountReport22> rpt

### splmtryData

protected List<SupplementaryData1> splmtryData

## Constructor Details

### BankToCustomerAccountReportV07

public BankToCustomerAccountReportV07()

## Method Details

### getGrpHdr

public GroupHeader73 getGrpHdr()
Gets the value of the grpHdr property.

Returns:
  possible object is `GroupHeader73`

### setGrpHdr

public void setGrpHdr(GroupHeader73 value)
Sets the value of the grpHdr property.

Parameters:
  `value` - allowed object is `GroupHeader73`

### getRpt

public List<AccountReport22> getRpt()
Gets the value of the rpt property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rpt property.

For example, to add a new item, do as follows:

        getRpt().add(newItem);

Objects of the following type(s) are allowed in the list `AccountReport22`

### getSplmtryData

public List<SupplementaryData1> getSplmtryData()
Gets the value of the splmtryData property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the splmtryData property.

For example, to add a new item, do as follows:

        getSplmtryData().add(newItem);

Objects of the following type(s) are allowed in the list `SupplementaryData1`